Debian Bug report logs - #654417
transition: glew

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: "Matteo F. Vescovi" <mfv.debian@gmail.com>

Date: Tue, 3 Jan 2012 16:09:05 UTC

Owned by: Niels Thykier <niels@thykier.net>

Severity: normal

Done: Cyril Brulebois <kibi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#654417; Package release.debian.org. (Tue, 03 Jan 2012 16:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Matteo F. Vescovi" <mfv.debian@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 03 Jan 2012 16:09:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Matteo F. Vescovi" <mfv.debian@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: transition: glew
Date: Tue, 3 Jan 2012 16:55:12 +0100
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: transition

Dear Release Team,

I'm filing this bug for the transition of glew package.

On August 2011 the new 1.7.0 stable version has been released by
upstream.

On December 27, 2011 a testing-purpose package has been uploaded to
experimental and with the huge help from Luca Falavigna (dktrkranz) it
was tested building with all its 51 reverse dependencies[1].

None of the packages in that list were directly affected by the
transition (the only FTBFS is non-glew dependent).

My sponsor for this package, Alessio Treglia (alessio), asked me to use
SONAME-independent -dev packages (libglew-dev and libglewmx-dev), while
the former versions were libglew1.6-dev and libglewmx1.6-dev.
"Provides" field has been anyway set to ease the process.

List of sources depending on glew following:
* avogadro
* ball
* bino
* blender
* cegui-mk2
* enblend-enfuse
* frogatto
* gimp-plugin-registry
* gource
* hugin
* imagevis3d
* koffice
* libsfml
* lightspark
* megaglest
* mesa-demos
* meshlab
* mupen64plus-video-z64
* opencsg
* openmsx
* performous
* phlipple
* projectm
* pymol
* python-pyglew
* qutemol
* renpy
* rlvm
* rss-glx
* sofa-framework
* soya
* spring
* supertux
* trigger-rally
* tulip
* widelands

Thanks for your time and patience.


[1] http://debomatic64.debian.net/glew/

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.1.0-1-amd64 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

-- 
Il messaggio e' stato analizzato alla ricerca di virus o
contenuti pericolosi da MailScanner, ed e'
risultato non infetto.





Owner recorded as Niels Thykier <niels@thykier.net>. Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Thu, 09 Feb 2012 19:09:10 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Thu, 09 Feb 2012 19:09:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, Niels Thykier <niels@thykier.net>:
Bug#654417; Package release.debian.org. (Fri, 10 Feb 2012 09:06:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessio Treglia <alessio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, Niels Thykier <niels@thykier.net>. (Fri, 10 Feb 2012 09:06:19 GMT) Full text and rfc822 format available.

Message #14 received at 654417@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: Niels Thykier <niels@thykier.net>
Cc: 654417@bugs.debian.org
Subject: Re: Bug#654417: transition: glew
Date: Fri, 10 Feb 2012 10:04:50 +0100
On Thu, Feb 9, 2012 at 8:07 PM, Niels Thykier <niels@thykier.net> wrote:
> Sounds good so far - do you know if there has been any API changes?

It's API compatible.

>  However, just to be clear - if there are any FTBFS issues due to the
> -dev renaming, I am expecting that the two of you will be NMU'ing
> affected packages if needed.

Of course we will.

> Other than the two packages above, I think we might be good to go.  Feel
> free to upload the new version of glew to unstable.

Thanks!

-- 
Alessio Treglia          | www.alessiotreglia.com
Debian Developer         | alessio@debian.org
Ubuntu Core Developer    | quadrispro@ubuntu.com
0416 0004 A827 6E40 BB98 90FB E8A4 8AE5 311D 765A




Added indication that bug 654417 blocks 653919 Request was from Pino Toscano <pino@debian.org> to control@bugs.debian.org. (Fri, 10 Feb 2012 09:51:04 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 654417: 655048 Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Fri, 10 Feb 2012 09:51:10 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 654417: 654283 Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Fri, 10 Feb 2012 09:57:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#654417; Package release.debian.org. (Mon, 13 Feb 2012 10:36:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 13 Feb 2012 10:36:14 GMT) Full text and rfc822 format available.

Message #25 received at 654417@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: Alessio Treglia <alessio@debian.org>, 654417@bugs.debian.org, mfv.debian@gmail.com
Subject: Re: Bug#654417: transition: glew
Date: Mon, 13 Feb 2012 11:33:58 +0100
On 2012-02-10 10:04, Alessio Treglia wrote:
> On Thu, Feb 9, 2012 at 8:07 PM, Niels Thykier <niels@thykier.net> wrote:
>> Sounds good so far - do you know if there has been any API changes?
> 
> It's API compatible.
> 
>>  However, just to be clear - if there are any FTBFS issues due to the
>> -dev renaming, I am expecting that the two of you will be NMU'ing
>> affected packages if needed.
> 
> Of course we will.
> 
>> Other than the two packages above, I think we might be good to go.  Feel
>> free to upload the new version of glew to unstable.
> 
> Thanks!
> 

Hi,

So it seems our binNMU did not help.  Turns out at least pymol,
avogadro, hugin and libsfml use "libglew1.5-dev", which libglew-dev does
not provide.

Could you add a provides for libglew1.5-dev?

~Niels





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, Niels Thykier <niels@thykier.net>:
Bug#654417; Package release.debian.org. (Mon, 13 Feb 2012 11:27:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Matteo F. Vescovi" <mfv.debian@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, Niels Thykier <niels@thykier.net>. (Mon, 13 Feb 2012 11:27:23 GMT) Full text and rfc822 format available.

Message #30 received at 654417@bugs.debian.org (full text, mbox):

From: "Matteo F. Vescovi" <mfv.debian@gmail.com>
To: Niels Thykier <niels@thykier.net>
Cc: Alessio Treglia <alessio@debian.org>, 654417@bugs.debian.org
Subject: Re: Bug#654417: transition: glew
Date: Mon, 13 Feb 2012 12:24:21 +0100
Hi!

On 13/02/2012 11:33, Niels Thykier wrote:
> Hi,
>
> So it seems our binNMU did not help.  Turns out at least pymol,
> avogadro, hugin and libsfml use "libglew1.5-dev", which libglew-dev does
> not provide.
>
> Could you add a provides for libglew1.5-dev?
>
> ~Niels

An usually super-active Alessio already fixed it.
I added the Provides field also for libglewmx1.5-dev, in case.

Cheers.

-- 
Matteo F. Vescovi
Debian Sponsored Maintainer
GnuPG KeyID: 83B2CF7A




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, Niels Thykier <niels@thykier.net>:
Bug#654417; Package release.debian.org. (Fri, 17 Feb 2012 00:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, Niels Thykier <niels@thykier.net>. (Fri, 17 Feb 2012 00:54:03 GMT) Full text and rfc822 format available.

Message #35 received at 654417@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: "Matteo F. Vescovi" <mfv.debian@gmail.com>, 654417@bugs.debian.org
Cc: Niels Thykier <niels@thykier.net>, Alessio Treglia <alessio@debian.org>
Subject: Re: Bug#654417: transition: glew
Date: Fri, 17 Feb 2012 01:51:07 +0100
[Message part 1 (text/plain, inline)]
Hi all,

Matteo F. Vescovi <mfv.debian@gmail.com> (13/02/2012):
> An usually super-active Alessio already fixed it.
> I added the Provides field also for libglewmx1.5-dev, in case.

catching up with this transition, it seems the level 1 is in good shape.
I've just scheduled binNMUs for level 2. Progress can be seen on this
page:
  http://release.debian.org/transitions/html/glew.html

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Added blocking bug(s) of 654417: 660415 Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Sun, 19 Feb 2012 10:27:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 654417: 660450 Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Sun, 19 Feb 2012 10:36:43 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, Niels Thykier <niels@thykier.net>:
Bug#654417; Package release.debian.org. (Sat, 25 Feb 2012 21:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, Niels Thykier <niels@thykier.net>. (Sat, 25 Feb 2012 21:45:08 GMT) Full text and rfc822 format available.

Message #44 received at 654417@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: "Matteo F. Vescovi" <mfv.debian@gmail.com>, 654417@bugs.debian.org
Cc: arb@packages.debian.org, openmsx@packages.debian.org, rlvm@packages.debian.org, spring@packages.debian.org, tulip@packages.debian.org
Subject: Migration on good tracks
Date: Sat, 25 Feb 2012 22:40:27 +0100
[Message part 1 (text/plain, inline)]
Hi,

glew is almost OK, so I've just asked ftpmasters to decruft it, meaning
those binaries were removed from unstable:
  libglew1.6 libglewmx1.6

Broken packages (in unstable): arb/non-free openmsx rlvm spring tulip

The following packages are marked as bad on the tracker[1]:
 - arb/non-free, missing libmotif-dev on other platforms, so not
   binNMU'd.
 - openmsx: binNMU FTBFS
 - rlvm: sid-only
 - spring: binNMU FTBFS
 - tulip: binNMU FTBFS, sid-only

 1. http://release.debian.org/transitions/html/glew.html

So I've hinted arb/non-free, openmsx, and spring for removal so that
the transition can happen. Since outdated binaries were still around,
I “simulated” a britney dry run by “forcing” glew in, which seemed to
work fine.

Hopefully tomorrow morning's (10:00Z) run should see packages migrate.

I'll make sure all the above-mentioned packages have bugs filed against
them, and I'll see what needs to be done to remove old glew binaries
from testing.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Mon, 27 Feb 2012 14:00:04 GMT) Full text and rfc822 format available.

Notification sent to "Matteo F. Vescovi" <mfv.debian@gmail.com>:
Bug acknowledged by developer. (Mon, 27 Feb 2012 14:00:04 GMT) Full text and rfc822 format available.

Message #49 received at 654417-done@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: "Matteo F. Vescovi" <mfv.debian@gmail.com>, 654417-done@bugs.debian.org
Cc: arb@packages.debian.org, openmsx@packages.debian.org, rlvm@packages.debian.org, spring@packages.debian.org, tulip@packages.debian.org
Subject: Re: Bug#654417: Migration on good tracks
Date: Mon, 27 Feb 2012 14:58:00 +0100
[Message part 1 (text/plain, inline)]
Hi again.

Cyril Brulebois <kibi@debian.org> (25/02/2012):
> Broken packages (in unstable): arb/non-free openmsx rlvm spring tulip
> 
> The following packages are marked as bad on the tracker[1]:
>  - arb/non-free, missing libmotif-dev on other platforms, so not
>    binNMU'd.

Building non-free issue: #661280

>  - openmsx: binNMU FTBFS

#660415

>  - rlvm: sid-only

BinNMU'd on all platforms but powerpc, where it FTBFS: #638271

>  - spring: binNMU FTBFS

#660450

>  - tulip: binNMU FTBFS, sid-only

#650653

> So I've hinted arb/non-free, openmsx, and spring for removal so that
> the transition can happen. Since outdated binaries were still around,
> I “simulated” a britney dry run by “forcing” glew in, which seemed to
> work fine.
> 
> Hopefully tomorrow morning's (10:00Z) run should see packages migrate.
> 
> I'll make sure all the above-mentioned packages have bugs filed against
> them, and I'll see what needs to be done to remove old glew binaries
> from testing.

Done, and old glew binaries are gone. ben file moved away accordingly.

Closing this bug report.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 27 Mar 2012 07:33:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:40:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.